Receive a webhook at an organisation’s own address
POST
/v1/inbound/endpoints/{inboundId}
const url = 'https://api.threadkite.app/v1/inbound/endpoints/example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.threadkite.app/v1/inbound/endpoints/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”inboundId
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
received
required
boolean
id
required
The delivery, as the partner portal lists it (null for a repeat whose first delivery has gone)
string format: uuid
duplicate
required
Sent before (the same id): stored once
boolean
Example
{ "received": true}Bad signature
Media typeapplication/json
object
statusCode
required
number
code
required
Stable machine-readable reason
string
message
required
string
errors
With code invalid: every problem with the request, by field (message is the first)
Array<object>
object
path
required
Dotted path inside the item, e.g. attributes.price.amountMinor
string
message
required
string
Example
{ "statusCode": 403, "code": "forbidden", "message": "You do not have permission to do that.", "errors": [ { "message": "Enter the make" } ]}Media typeapplication/json
object
statusCode
required
number
code
required
Stable machine-readable reason
string
message
required
string
errors
With code invalid: every problem with the request, by field (message is the first)
Array<object>
object
path
required
Dotted path inside the item, e.g. attributes.price.amountMinor
string
message
required
string
Example
{ "statusCode": 403, "code": "forbidden", "message": "You do not have permission to do that.", "errors": [ { "message": "Enter the make" } ]}